nut-xml_2.7.4-8ubuntu1_amd64.deb


Advertisement

Description

nut-xml - network UPS tools - XML/HTTP driver

Property Value
Distribution Ubuntu 19.04 (Disco Dingo)
Repository Ubuntu Universe amd64
Package filename nut-xml_2.7.4-8ubuntu1_amd64.deb
Package name nut-xml
Package version 2.7.4
Package release 8ubuntu1
Package architecture amd64
Package type deb
Category universe/admin
Homepage http://www.networkupstools.org/
License -
Maintainer Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Download size 78.65 KB
Installed size 298.00 KB
Network UPS Tools (NUT) is a client/server monitoring system that
allows computers to share uninterruptible power supply (UPS) and
power distribution unit (PDU) hardware. Clients access the hardware
through the server, and are notified whenever the power status
changes.
This package provides netxml-ups, which supports UPS models from
Eaton or MGE that use an XML/HTTP-based Network Management Card or
Proxy.

Alternatives

Package Version Architecture Repository
nut-xml_2.7.4-8ubuntu1_i386.deb 2.7.4 i386 Ubuntu Universe
nut-xml - - -

Requires

Name Value
libc6 >= 2.15
libneon27-gnutls -
nut >= 2.2.2

Download

Type URL
Mirror archive.ubuntu.com
Binary Package nut-xml_2.7.4-8ubuntu1_amd64.deb
Source Package nut

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install nut-xml deb package:
    # sudo apt-get install nut-xml

Files

Path
/lib/nut/netxml-ups
/usr/share/doc/nut-xml/AUTHORS.gz
/usr/share/doc/nut-xml/NEWS.Debian.gz
/usr/share/doc/nut-xml/NEWS.gz
/usr/share/doc/nut-xml/README.gz
/usr/share/doc/nut-xml/TODO.gz
/usr/share/doc/nut-xml/changelog.Debian.gz
/usr/share/doc/nut-xml/copyright
/usr/share/man/man8/netxml-ups.8.gz

Changelog

2018-08-03 - dann frazier <dann.frazier@canonical.com>
nut (2.7.4-8ubuntu1) cosmic; urgency=medium
* Merge with Debian unstable (LP: #1774147). Remaining changes:
- remove Build-Depends on libpowerman0-dev
- remove nut-powerman-pdu
+ debian/control: remove nut-powerman-pdu package
+ debian/nut-powerman-pdu.{install,manpages}: dropped for now
- debian/source_nut.py, debian/{nut,nut-server,nut-client}.install,
debian/rules: Install apport hooks for all top-level nut packages.
- debian/tests/test-nut.py: in the CVE_2012_2944 test, give nut at most
+ 5 seconds to shut down, instead of expecting it to be shut down
immediately after sending the killall.
+ Additional indication on how to run tests for xenial+
- debian/tests/control : Fix dep8 test failures:
+ Drop python-unit from dep8 dependencies since the python-test
package has now been removed. The unittest module has shipped with
Python since 2.1.
+ Add dep8 test dependency on python, since Python 2 is required and
is not necessarily installed by default any more.
- d/nut-server.postinst, d/nut-cgi.postinst: ensure nut is member of group
dialout (This existed, but was missed in the Changelog).
- debian/libnutclient0.symbols: Correct symbols file for ppc64el.
2018-06-01 - Laurent Bigonville <bigon@debian.org>
nut (2.7.4-8) unstable; urgency=medium
* debian/libnutclient0.symbols: Use arch-bits=32 and arch-bits=64 instead of
listing the architectures explicitly (Closes: #892234)
* debian/libnutclient0.symbols: Fix FTBFS on riscv64
* debian/control: Update the Vcs-* fields to point to the new gitlab/salsa
machine
* debian/control: Bump Standards-Version to 4.1.4 (no further changes)
* debian/control: Drop X-Python-Version field, not needed anymore because
the version is ancient
2018-05-30 - Christian Ehrhardt <christian.ehrhardt@canonical.com>
nut (2.7.4-7ubuntu1) cosmic; urgency=medium
* Merge with Debian unstable (LP: #1774147). Remaining changes:
- remove Build-Depends on libpowerman0-dev
- remove nut-powerman-pdu
+ debian/control: remove nut-powerman-pdu package
+ debian/nut-powerman-pdu.{install,manpages}: dropped for now
- debian/source_nut.py, debian/{nut,nut-server,nut-client}.install,
debian/rules: Install apport hooks for all top-level nut packages.
- debian/tests/test-nut.py: in the CVE_2012_2944 test, give nut at most
+ 5 seconds to shut down, instead of expecting it to be shut down
immediately after sending the killall.
+ Additional indication on how to run tests for xenial+
- debian/tests/control : Fix dep8 test failures:
+ Drop python-unit from dep8 dependencies since the python-test
package has now been removed. The unittest module has shipped with
Python since 2.1.
+ Add dep8 test dependency on python, since Python 2 is required and
is not necessarily installed by default any more.
- d/nut-server.postinst, d/nut-cgi.postinst: ensure nut is member of group
dialout (This existed, but was missed in the Changelog).
- debian/libnutclient0.symbols: Correct symbols file for ppc64el.
(Reduced as it is partially in Debian now)
* Dropped Changes
- fix cflags/ldflags mismatch (LP #1711092)
(no more needed)
- debian/nut-{cgi,server}.postinst: fix 'adduser' logic to be
unconditional, since adduser is guaranteed to be idempotent.
(was a non functional comment only change)
2018-02-21 - Laurent Bigonville <bigon@debian.org>
nut (2.7.4-7) unstable; urgency=medium
* debian/libnutclient0.symbols: Fix symbols file, this should fix FTBFS on
most architectures. (Closes: #890981)

See Also

Package Description
nutcracker_0.4.1+dfsg-1_amd64.deb Fast, light-weight proxy for memcached and Redis
nutsqlite_2.0.6-1_all.deb Dietary nutrition analysis software
nuttcp_6.1.2-4build1_amd64.deb network performance measurement tool
nux-tools_4.0.8+18.10.20180623-0ubuntu1_amd64.deb Visual rendering toolkit for real-time applications - tools
nuxwdog_1.0.5-2_amd64.deb Watchdog server -- daemon
nvchecker_1.3-2_all.deb new-version checker for software releases
nvi-doc_1.81.6-15_all.deb 4.4BSD re-implementation of vi - documentation files
nvi_1.81.6-15_amd64.deb 4.4BSD re-implementation of vi
nvidia-common_0.6.3_amd64.deb transitional package for ubuntu-drivers-common
nvme-cli_1.7-1_amd64.deb userspace tooling to control NVMe drives
nvptx-tools_0.20180301-1_amd64.deb collection of tools for use with nvptx-none GCC toolchains
nvram-wakeup_1.1-4build1_amd64.deb Read/write the WakeUp time from/to the BIOS
nvramtool_0.0+r3669-2.2build1_amd64.deb Read/write coreboot-related NVRAM/CMOS information
nvtv_0.4.7-8build1_amd64.deb tool to control TV chips on NVidia cards under Linux
nwall_1.32+debian-4.2build2_amd64.deb version of wall that uses GNU readline
Advertisement
Advertisement